package com.ekexiu.console.system.dao;

import com.ekexiu.console.system.po.ArticleRes;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.Where;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by TT on 2017/9/13.
 */
@DAO
public abstract class ArticleResDao {

    @Insert
    public abstract int insert(Connection con, ArticleRes articleRes) throws SQLException;

    @SelectList
    @Where("RESOURCE_ID IN (SELECT RESOURCE_ID FROM RESOURCE WHERE STATUS='1')")
    public abstract List<ArticleRes> query(Connection con, String articleId) throws SQLException;

    @DeleteWith
    @From(ArticleRes.class)
    public abstract int delete(Connection con, String articleId) throws SQLException;

}

